NQUIRE(1)

NAME
nquire - query NCBI Entrez Utilities, other parameter-based web services, or FTP

SYNOPSIS
nquire [-help] [-ftp host dir [file]] [-url URL] [-get [URL]] [-len URL] [-lst host dir] [-dir host dir] [-eutils name] [-dwn host dir [file]] [-asp host dir [file]] [-ncbi|-eutils|-pubchem|-pugrest|-pugview|-datasets] [component ...] [-tag value ...] [-examples] [-version]

DESCRIPTION
nquire performs raw HTTP(S) queries against web services such as NCBI E-Utilities that take GET or POST parameters, or downloads or listings from FTP and Aspera servers. (Aspera support requires installing proprietary client software.)

OPTIONS

  Documentation

-help
    Print usage information, complete with a few examples, some additionally illustrating the use of xtract(1).

  Query Commands

-ftp host dir [file]
    Use FTP instead of HTTP. The shell implementation accepts a filename on the command line only when invoked from a (pseudo)terminal, and otherwise reads filenames from standard input.

-url URL
    Base URL for external search.

-get [URL]
    Use HTTP(S) GET instead of POST.

-len URL
    Content length of HTTP file.

-lst host dir
    Lists contents of FTP site.

-dir host dir
    FTP listing with file sizes.

  File Downloads

-dwn host dir [file]
    Like -ftp, but saves contents to correspondingly named files in the current directory.

-asp host dir [file]
    Like -dwn, but uses Aspera's proprietary client if installed.

  -url Shortcuts

-ncbi
    https://www.ncbi.nlm.nih.gov

-eutils
    https://eutils.ncbi.nlm.nih.gov/entrez/eutils

-pubchem
    https://pubchem.ncbi.nlm.nih.gov

-pugrest
    https://pubchem.ncbi.nlm.nih.gov/rest/pug

-pugview
    https://pubchem.ncbi.nlm.nih.gov/rest/pug_view

-datasets
    https://api.ncbi.nlm.nih.gov/datasets/v2alpha

  URL Additions

component
    Add /component to the base URL. (Must precede any tag/value pairs.)

-tag value ...
    Add &tag=value,... to the base URL. (Must follow any simple components.)

  Miscellaneous

-examples
    Examples of advanced queries.

-version
    Print version number.

SEE ALSO
archive-nihocc(1), archive-nlmnlp(1), archive-nmcds(1), archive-pids(1), archive-pmc(1), archive-pubmed(1), archive-taxonomy(1), cit2pmid(1), curl(1), download-flatfile(1), download-ncbi-data(1), download-ncbi-software(1), download-pmc(1), download-pubmed(1), ecollect(1), edict(1), efetch(1), efilter(1), einfo(1), elink(1), epost(1), esearch(1), refseq-nm-cds(1), skip-if-file-exists(1), wget(1), xtract(1).